/*
Theme Name: Beaver Builder Child Theme
Theme URI: https://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: https://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here...Remember to change the Version number above! */

/* Fade in rows */
body:not(.fl-builder-edit) #fl-main-content .fl-row .fl-module {opacity: 0;transform: translateY(40px) var(--module-rotate, rotate(0deg));transition: opacity 0.8s ease-out, transform 0.8s ease-out;will-change: opacity, transform;}
body:not(.fl-builder-edit) #fl-main-content .fl-row .fl-module.is-visible {opacity: 1 !important;transform: translateY(0) var(--module-rotate, rotate(0deg)) !important;}
#fl-main-content {position: relative;z-index: 1;}
.fl-builder-content-header {position: relative;z-index: 9999;}
.no-js .fl-row .fl-module {opacity: 1 !important;transform: none !important;}

/* General */
html, body {overflow-x: hidden;}
small {font-size:75%;}
.brush-border {border-style: solid;border-width: 0 60px;border-image: url('/wp-content/uploads/2026/04/green-banner.svg') 0 100 fill stretch;padding: 10px;position:relative;z-index:3;}
#fl-to-top {border-radius:50px;}
#mep_0, #mep_0 video {width:100% !important;height:100% !important;min-width:100% !important;}

/* Rows with background images*/
.where-row .fl-row-content, .where-row .fl-row-content-wrap, .meet-row .fl-row-content, .meet-row .fl-row-content-wrap, .books-row .fl-row-content, .books-row .fl-row-content-wrap, .buy-row .fl-row-content-wrap {overflow: visible !important;position: static;}
.where-row {background-color: #F4F9D7;z-index: 1;position: relative;overflow: visible !important;}
.meet-row {background: radial-gradient(circle at center, rgb(113, 149, 204) 0%, #3b5c8d 100%);z-index: 1;position: relative;overflow: visible !important;}
.meet-row::before {content: "";position: absolute;display: block;width: 300px;height: 176px;top: 0px;left: -200px;background: url('/wp-content/uploads/2026/04/witches-on-broomsticks-dark.png') no-repeat center center / contain;z-index: 2;pointer-events: none;}
.meet-row::after {content: "";position: absolute;display: block;width: 400px;height: 336px;bottom: 0px;right: 0px;background: url('/wp-content/uploads/2026/04/witches-with-axe.png') no-repeat center center / contain;z-index: 2;pointer-events: none;}
.books-row {background-color: #F4F9D7;z-index: 1;position: relative;overflow: visible !important;}
.books-row::before {content: "";position: absolute;display: block;width: 300px;height: 249px;top: 0px;left: -100px;background: url('/wp-content/uploads/2026/04/fox-running-left-1.png') no-repeat center center / contain;z-index: 2;pointer-events: none;}
.where-row .fl-col-group, .meet-row .fl-col-group, .books-row .fl-col-group, .buy-row .fl-col-group {position: relative;z-index: 3;}

@media (min-width: 576px) {
.brush-border {border-width: 0 80px;border-image: url('/wp-content/uploads/2026/04/green-banner.svg') 0 150 fill stretch;padding: 20px;}
}

@media (min-width: 768px) {
.meet-row::after {width: 600px;height: 504px;bottom: 0px;right: -150px;}
.books-row::before {top: 20px;left: -50px;width: 400px;height: 331px;}
}

@media (min-width: 992px) {
.meet-row::before {left:20px;}
.meet-row::after {right: -50px;}
.books-row::before {top: 60px;}
}

@media (min-width: 1200px) {
/*.where-row::before {content: "";position: absolute;display: block;width: 400px;height: 332px;top: -100px;left: -200px;background: url('/wp-content/uploads/2026/04/man-running.png') no-repeat center center / contain;z-index: 2;pointer-events: none;}*/
/*.where-row::after {content: "";position: absolute;display: block;width: 400px;height: 332px;bottom: 0px;right: -100px;background: url('/wp-content/uploads/2026/04/badger-running.png') no-repeat center center / contain;z-index: 2;pointer-events: none;}*/
.books-row::before {left:0px;}
.books-row::after {content: "";position: absolute;display: block;width: 400px;height: 332px;bottom: 0px;right: -50px;background: url('/wp-content/uploads/2026/04/man-running.png') no-repeat center center / contain;z-index: 2;pointer-events: none;}
.buy-row::after {content: "";position: absolute;display: block;width: 400px;height: 332px;bottom: 0px;right: -100px;background: url('/wp-content/uploads/2026/04/badger-running.png') no-repeat center center / contain;z-index: 2;pointer-events: none;}

@media (min-width: 1400px) {
.where-row::before {
    content: "";
    position: absolute;
    display: block;
    width: 100%; 
    height: 100%; 
    background: 
        url('/wp-content/uploads/2026/04/man-running.png') no-repeat 2% 0 / 300px auto,
        url('/wp-content/uploads/2026/05/foxes_ch07_01-1.png') no-repeat 100% 10% / 300px auto;
    z-index: 2;
    pointer-events: none;
}
	.where-row::after {
    content: "";
    position: absolute;
	top:0;
	left:0;
    display: block;
    width: 100%; 
    height: 100%; 
    background: 
        url('/wp-content/uploads/2026/05/foxes_ch01_01-1.png') no-repeat 0% 100% / 300px auto,
        url('/wp-content/uploads/2026/04/badger-running.png') no-repeat 100% 100% / 300px auto;
    z-index: 2;
    pointer-events: none;
}
/*.where-row::before {left: -100px;}
.where-row::after {right: 0px;}*/
}